Page MenuHomePhabricator

Can't view redlinks in Read mode if loading of the editor is interrupted
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Enable the Beta Feature for VisualEditor's new wikitext mode.
  2. Click a redlink. Or go to something like https://en.wikipedia.org/w/index.php?title=Mash-the-keyboard&action=edit&redlink=1
  3. Try to stop the editor from loading, and just show you the non-existent page in read mode, without hand-editing the URL.

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptJun 19 2017, 8:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana renamed this task from Can't view redlinks in Read mode to Can't view redlinks in Read mode if loading of the editor is interrupted.Jun 20 2017, 10:53 AM
Deskana triaged this task as Low priority.
Deskana added a subscriber: Deskana.

This seems like an edge case.

Deskana moved this task from To Triage to Freezer on the VisualEditor board.Jun 20 2017, 10:54 AM

There is a message explaining what to do (reload the page) so I don't see this as a bug.

It definitely is a problem for categories, but there is already T139191: VisualEditor makes redlinked category index pages inacessible for that.

It also is a problem when you want to look at the excerpt from deletion log, which is present in read view and OWE, but not VE or NWE, but I think there is a task specifically for that, though I do not find it just now.

Dvorapa added a subscriber: Dvorapa.Jul 5 2017, 9:19 AM

Change 441505 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] If VE was opened on action=edit URL, redirect to view URL when closing

https://gerrit.wikimedia.org/r/441505

Change 441505 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] If VE was opened on action=edit URL, redirect to view URL when closing

https://gerrit.wikimedia.org/r/441505

Deskana closed this task as Resolved.Jul 2 2018, 11:06 AM